require_dependency "binect_importer/application_controller"
require_dependency "../../lib/binect_importer/dropbox_importer"
require_dependency "../../lib/binect_importer/googledrive_importer"
require_dependency "../../lib/binect_importer/onedrive_importer"

module BinectImporter
    class RegistrationsController < AuthenticatedController
        before_action :set_status, only: [:index]

        def index
        end

        private
        def set_status
            @status = {}
            if current_user.present?
                @status[DropboxImporter::IMPORTER_TYPE] = current_user.authenticated_importers.index { |importer_hash| importer_hash[:type] == DropboxImporter::IMPORTER_TYPE } != nil ? "Linked" : "Unlinked"
                @status[GoogledriveImporter::IMPORTER_TYPE] = current_user.authenticated_importers.index { |importer_hash| importer_hash[:type] == GoogledriveImporter::IMPORTER_TYPE } != nil ? "Linked" : "Unlinked"
                @status[OneDriveImporter::IMPORTER_TYPE] = current_user.authenticated_importers.index { |importer_hash| importer_hash[:type] == OneDriveImporter::IMPORTER_TYPE } != nil ? "Linked" : "Unlinked"
            end
        end
    end
end
