module BinectImporter
        module RegistrationHelper
                LINK_TEXT_HTML = "<i class='fa fa-link' aria-hidden='true'></i> Verbinden"
                LINK_CLASS = "btn btn-primary"
                UNLINK_ACTION = "unlink"
                UNLINK_CONFIRMATION = "Um diese Importquelle zu verbinden, wird Ihre andere Importquelle zuerst getrennt. Wollen Sie fortfahren?"

                def link_to_start_registration(status, controller, action)
                        unlink_controller = nil

                        # Look for the possibly already linked importer.
                        # This assumes that there is at most 1 linked importer at a time.
                        status.each do |key, value|
                                if !unlink_controller.nil?
                                        next
                                end

                                if value == "Linked" && key == ::BinectImporter::GoogledriveImporter::IMPORTER_TYPE
                                        unlink_controller = "googledrive_registrations"
                                elsif value == "Linked" && key == ::BinectImporter::DropboxImporter::IMPORTER_TYPE
                                        unlink_controller = "dropbox_registrations"
                                elsif value == "Linked" && key == ::BinectImporter::OneDriveImporter::IMPORTER_TYPE
                                        unlink_controller = "one_drive_registrations"
                                end
                        end

                        if unlink_controller.nil?
                                # No currently linked importer.
                                link_to(raw(LINK_TEXT_HTML), { controller: controller, action: action}, class: LINK_CLASS)
                        else
                                # Call the unlink action of the currently linked importer
                                link_to(raw(LINK_TEXT_HTML), { controller: unlink_controller, action: UNLINK_ACTION}, class: LINK_CLASS, data: { confirm: UNLINK_CONFIRMATION })
                        end
                end
        end
end
